Skip to main content
POST
CLI

Authorizations

Authorization
string
header
required

API Key in Bearer format (e.g., Bearer sk_test_...)

Headers

X-API-Key
string

API key

Path Parameters

customerId
string
required

An ID that uniquely identifies a customer resource

Example:

"cus_1234567890abcdef"

id
string
required

An ID that uniquely identifies an associated entity resource

Example:

"asp_1234567890abcdef"

Response

Verification link generated or retrieved successfully

sessionId
string
required

Verification session ID

Example:

"vsess_abc123"

verificationUrl
string
required

URL for the UBO to complete their verification

Example:

"https://verify.infinite.dev/?sessionId=vsess_abc123"

expiresAt
string
required

When the verification link expires

Example:

"2026-01-09T10:30:00Z"

status
enum<string>
required

Current status of the verification session

Available options:
PENDING,
ACTIVE,
IN_PROGRESS,
COMPLETED,
EXPIRED,
CANCELLED,
SUBMITTED
Example:

"ACTIVE"